Retrieve activity log

This operation returns an object that contains the activity log for the current organization.
It can be filtered by date and time, activity type, asset type, user, and vuln ID.

Query Params
int64

Offset begin showing results from item number n.

int64

Limit results to n number of items.
Use a 0 value to indicate that all results should be returned

string

Sort order results by the given field.
Prefix the field name with '-' to order in descending order.
E.g., '-time' sorts results in descending order using the field 'time'

date-time

Filter results from that date

date-time

Filter results to that date

activityType
array of strings

Filter results to activities with particular activity type(s)
Example to fetch activities with these two types:
activityType=vulnerability_opened,scan_completed

activityType
string

Filter results to activities related to the chosen asset type (i.e. "site", "application", "mobile_application" and "api_site")

string

Filter results to this modified by value

vulnID
array of int64s

Filter activities to those related with a specific vuln (via vuln_id)

vulnID
Responses

401

UnauthorizedResponse signals an unauthorized API access

403

ForbiddenResponse signals a request for a resource that does not exist or is not authorized

500

GenericError generic error

Language
Response
Choose an example:
application/json